summaryrefslogtreecommitdiff
path: root/contrib
diff options
context:
space:
mode:
authorThomas Haller <thaller@redhat.com>2018-09-14 07:49:51 +0200
committerThomas Haller <thaller@redhat.com>2018-09-14 09:04:23 +0200
commit728fec163aa1d5554872add3705e05711a25aa95 (patch)
treed46634a47df8a7153672730d05648451485c7b39 /contrib
parenta124dba6fe997ee17aeed003de7a0764f7283609 (diff)
contrib/rpm: add --release option to build_clean.sh script
The correct way to create a tarball for release is ./contrib/fedora/rpm/build_clean.sh -r Just ensure to issue this from a clean shell environment. (cherry picked from commit 5894da67dc040fccd40c014ab73f31e1d9e1e661)
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/fedora/rpm/build_clean.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/contrib/fedora/rpm/build_clean.sh b/contrib/fedora/rpm/build_clean.sh
index 1bf932f5c..c6d08f538 100755
--- a/contrib/fedora/rpm/build_clean.sh
+++ b/contrib/fedora/rpm/build_clean.sh
@@ -24,6 +24,7 @@ usage() {
echo " -w|--with \$OPTION: pass --with \$OPTION to rpmbuild. For example --with debug"
echo " -W|--without \$OPTION: pass --without \$OPTION to rpmbuild. For example --without debug"
echo " -s|--snapshot TEXT: use TEXT as the snapshot version for the new package (overwrites \$NM_BUILD_SNAPSHOT environment)"
+ echo " -r|--release: built a release tarball (this option must be alone)"
}
@@ -44,6 +45,8 @@ WITH_LIST=()
SOURCE_FROM_GIT=0
SNAPSHOT="$NM_BUILD_SNAPSHOT"
+NARGS=$#
+
while [[ $# -gt 0 ]]; do
A="$1"
shift
@@ -55,6 +58,11 @@ while [[ $# -gt 0 ]]; do
-f|--force)
IGNORE_DIRTY=1
;;
+ -r|--release)
+ [[ $NARGS -eq 1 ]] || die "--release option must be alone"
+ export NMTST_CHECK_GTK_DOC=1
+ BUILDTYPE=SRPM
+ ;;
-c|--clean)
GIT_CLEAN=1
;;